% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/utils.R
\name{clean_variable_name}
\alias{clean_variable_name}
\title{Clean Variable Name}
\usage{
clean_variable_name(name)
}
\arguments{
\item{name}{The input variable name to be cleaned.}
}
\value{
The cleaned variable name without digits, spaces, or special characters.
}
\description{
This function removes digits, spaces, and special characters from a variable name.
If any of these are present, they will be replaced with an underscore '_'.
}
\details{
This function will check the input variable name for the presence of digits,
spaces, and special characters. If any of these are found, they will be removed
from the variable name and replaced with an underscore '_'. Additionally, it will
check if the cleaned name is not one of the reserved names "interactions" or
"correlations" which are not allowed as variable names.
}
\examples{
clean_variable_name("my_var,:&$àà(-i abl23 e_na__ç^me ")
}
