% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/glance_glmmtmb.R
\name{getGlance}
\alias{getGlance}
\title{Extracts the summary statistics from a single glmmTMB model.}
\usage{
getGlance(x)
}
\arguments{
\item{x}{A glmmTMB model.}
}
\value{
A DataFrame with the summary statistics for the glmmTMB model.
}
\description{
This function takes a single glmmTMB model and extracts the summary statistics (AIC, BIC, logLik, deviance,
df.resid, and dispersion) from the model and returns them as a DataFrame.
}
\examples{
data(mtcars)
model <- glmmTMB::glmmTMB(mpg ~ wt + (1|cyl), data = mtcars)
getGlance(model)
}
