% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/wrapper_dds.R
\name{get_inference_dds}
\alias{get_inference_dds}
\title{Calculate Inference for Differential Expression Analysis}
\usage{
get_inference_dds(dds_full, lfcThreshold, altHypothesis, correction_method)
}
\arguments{
\item{dds_full}{A data frame containing DESeq2 results, including estimate and standard error information.}

\item{lfcThreshold}{Log fold change threshold for determining differentially expressed genes.}

\item{altHypothesis}{Alternative hypothesis for testing, one of "greater", "less", or "two.sided".}

\item{correction_method}{Method for multiple hypothesis correction, e.g., "BH" (Benjamini-Hochberg).}
}
\value{
A data frame containing inference results, including statistics, p-values, and adjusted p-values.
}
\description{
This function calculates inference for differential expression analysis based on the results of DESeq2.
}
\examples{
\dontrun{
# Example usage of the function
inference_result <- get_inference_dds(dds_full, lfcThreshold = 0.5, 
                                   altHypothesis = "greater", 
                                   correction_method = "BH")
}
}
