% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/glance_glmmtmb.R
\name{glance_tmb}
\alias{glance_tmb}
\title{Extracts the summary statistics from a list of glmmTMB models.}
\usage{
glance_tmb(list_tmb)
}
\arguments{
\item{list_tmb}{A list of glmmTMB models or a unique glmmTMB obj model}
}
\value{
A DataFrame with the summary statistics for all the glmmTMB models in the list.
}
\description{
This function takes a list of glmmTMB models and extracts the summary statistics (AIC, BIC, logLik, deviance,
df.resid, and dispersion) for each model and returns them as a single DataFrame.
}
\examples{
data(mtcars)
models <-  fitModelParallel(Sepal.Length ~ Sepal.Width + Petal.Length, 
                           group_by = "Species",n.cores = 1, data = iris)
result <- glance_tmb(models)
}
