% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/roc_plot.R
\name{roc_plot}
\alias{roc_plot}
\title{Generate ROC Curve Plot}
\usage{
roc_plot(comparison_df, ...)
}
\arguments{
\item{comparison_df}{A dataframe containing comparison results.}

\item{...}{additional params to pass ggplot2::aes}
}
\value{
A ggplot object representing the ROC curve plot.
}
\description{
This function generates an ROC curve plot based on the comparison dataframe.
}
\examples{
comparison_data <- data.frame(
  geneID = c("gene1", "gene2", "gene3"),
  isDE = c(TRUE, FALSE, TRUE),
  p.adj = c(0.05, 0.2, 0.01)
)
roc_plot(comparison_data)

}
