% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/simulation_report.R
\name{simulationReport}
\alias{simulationReport}
\title{Generate a simulation report}
\usage{
simulationReport(
  mock_obj,
  list_tmb = NULL,
  coeff_threshold = 0,
  alt_hypothesis = "greaterAbs",
  report_file = NULL,
  dds_obj = NULL
)
}
\arguments{
\item{mock_obj}{A list containing simulation data and ground truth.}

\item{list_tmb}{A list of model results.}

\item{coeff_threshold}{A threshold for comparing estimates.}

\item{alt_hypothesis}{The alternative hypothesis for comparisons ("greater", "less", "greaterAbs").}

\item{report_file}{File name to save the generated report. If NULL, the report will not be exported.}

\item{dds_obj}{a DESeq2 object}
}
\value{
A list containing settings, plots, and evaluation results.
}
\description{
This function generates a simulation report containing various plots and evaluation metrics.
}
