% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/tidy_glmmtmb.R
\name{tidy_tmb}
\alias{tidy_tmb}
\title{Extract Tidy Summary of Multiple glmmTMB Models}
\usage{
tidy_tmb(list_tmb)
}
\arguments{
\item{list_tmb}{A list of glmmTMB model objects.}
}
\value{
A data frame containing a tidy summary of the fixed and random effects from all glmmTMB models in the list.
}
\description{
This function takes a list of glmmTMB models and extracts a tidy summary of the fixed and random effects from each model. It then combines the results into a single data frame.
}
\examples{
model1 <- glmmTMB::glmmTMB(Sepal.Length ~ Sepal.Width + Petal.Length + (1 | Species), data = iris)
model2 <- glmmTMB::glmmTMB(Petal.Length ~ Sepal.Length + Sepal.Width + (1 | Species), data = iris)
model_list <- list(Model1 = model1, Model2 = model2)
tidy_summary <- tidy_tmb(model_list)
}
