# WARNING - Generated by {fusen} from /dev/flat_full.Rmd: do not edit by hand



# Example data


# Tests
test_that("dispersion_plot function works correctly", {
  eval_disp <- data.frame(
    actual_dispersion = c(0.1, 0.2, 0.3),
    inferred_dispersion = c(0.12, 0.18, 0.28),
    from = c("HTRfit", "HTRfit", "DESeq2")
  )
  disp_plot <- dispersion_plot(eval_disp, col = "from")
  expect_s3_class(disp_plot, "gg")
})

test_that("extract_tmbDispersion function extracts dispersion correctly", {
   N_GENES = 100
  MAX_REPLICATES = 5
  MIN_REPLICATES = 5
  input_var_list <- init_variable(name = "varA", mu = 10, sd = 0.1, level = 3)
  mock_data <- mock_rnaseq(input_var_list, N_GENES,
                         min_replicates = MIN_REPLICATES, max_replicates = MAX_REPLICATES)
  data2fit <- prepareData2fit(countMatrix = mock_data$counts, metadata =  mock_data$metadata)
  l_res <- fitModelParallel(formula = kij ~ varA,
                          data = data2fit, group_by = "geneID",
                          family = glmmTMB::nbinom2(link = "log"), n.cores = 1)
  extracted_disp <- extract_tmbDispersion(l_res)
  expect_identical(colnames(extracted_disp), c("inferred_dispersion", "geneID"))
})

test_that("extract_ddsDispersion function extracts dispersion correctly", {
   N_GENES = 100
  MAX_REPLICATES = 5
  MIN_REPLICATES = 5
  input_var_list <- init_variable(name = "varA", mu = 10, sd = 0.1, level = 3)
  mock_data <- mock_rnaseq(input_var_list, N_GENES,
                         min_replicates = MIN_REPLICATES, max_replicates = MAX_REPLICATES)
  dds <- DESeq2::DESeqDataSetFromMatrix(
      countData = round(mock_data$counts),
      colData = mock_data$metadata,
      design = ~ varA)
  dds <- DESeq2::DESeq(dds, quiet = TRUE)
  deseq_wrapped = wrap_dds(dds, 2, "greaterAbs")
  
  extracted_disp <- extract_ddsDispersion(deseq_wrapped)
  expect_identical(colnames(extracted_disp), c("inferred_dispersion", "geneID"))
})

test_that("getDispersionComparison function works correctly", {
   N_GENES = 100
  MAX_REPLICATES = 5
  MIN_REPLICATES = 5
  input_var_list <- init_variable(name = "varA", mu = 10, sd = 0.1, level = 3)
  mock_data <- mock_rnaseq(input_var_list, N_GENES,
                         min_replicates = MIN_REPLICATES, max_replicates = MAX_REPLICATES)
  data2fit <- prepareData2fit(countMatrix = mock_data$counts, metadata =  mock_data$metadata)
  l_res <- fitModelParallel(formula = kij ~ varA,
                          data = data2fit, group_by = "geneID",
                          family = glmmTMB::nbinom2(link = "log"), n.cores = 1)
  
  tmb_disp_inferred <- extract_tmbDispersion(l_res)
    
  comparison <- getDispersionComparison(tmb_disp_inferred, mock_data$groundTruth$gene_dispersion)
  expect_identical(colnames(comparison), c("actual_dispersion",  "geneID", "inferred_dispersion"))
})

test_that("evaluateDispersion function works correctly", {
   N_GENES = 100
  MAX_REPLICATES = 5
  MIN_REPLICATES = 5
  input_var_list <- init_variable(name = "varA", mu = 10, sd = 0.1, level = 3)
  mock_data <- mock_rnaseq(input_var_list, N_GENES,
                         min_replicates = MIN_REPLICATES, max_replicates = MAX_REPLICATES)
  data2fit <- prepareData2fit(countMatrix = mock_data$counts, metadata =  mock_data$metadata)
  l_res <- fitModelParallel(formula = kij ~ varA,
                          data = data2fit, group_by = "geneID",
                          family = glmmTMB::nbinom2(link = "log"), n.cores = 1)
  dds <- DESeq2::DESeqDataSetFromMatrix(
      countData = round(mock_data$counts),
      colData = mock_data$metadata,
      design = ~ varA)
  dds <- DESeq2::DESeq(dds, quiet = TRUE)
  deseq_wrapped = wrap_dds(dds, 2, "greaterAbs")
  
  tmb_disp_inferred <- extract_tmbDispersion(l_res)
  TMB_dispersion_df <- getDispersionComparison(tmb_disp_inferred, mock_data$groundTruth$gene_dispersion)
  TMB_dispersion_df$from <- 'HTRfit'
  DESEQ_disp_inferred <- extract_ddsDispersion(deseq_wrapped)
  DESEQ_dispersion_df <- getDispersionComparison(DESEQ_disp_inferred , mock_data$groundTruth$gene_dispersion)
  DESEQ_dispersion_df$from <- 'DESeq2'
    
  eval_disp <- evaluateDispersion(TMB_dispersion_df, DESEQ_dispersion_df, c("red", "blue"))
  expect_identical(names(eval_disp), c("disp_plot", "data"))
})


  
