# WARNING - Generated by {fusen} from /dev/flat_full.Rmd: do not edit by hand



# Unit tests for countMatrix_2longDtf
test_that("countMatrix_2longDtf converts count matrix to long data frame", {
  # Sample count matrix
  list_var <- init_variable()
  mock_data <- mock_rnaseq(list_var, n_genes = 3, 2,2, 1)
  # Convert count matrix to long data frame
  dtf_countLong <- countMatrix_2longDtf(mock_data$counts)
  expect_true(is.character(dtf_countLong$sampleID))
  expect_true(is.character(dtf_countLong$geneID))
  expect_true(is.numeric(dtf_countLong$kij))
  expect_equal(unique(dtf_countLong$geneID), c("gene1", "gene2", "gene3"))
  expect_equal(unique(dtf_countLong$sampleID),c("myVariable1_1", "myVariable1_2", 
                                                "myVariable2_1", "myVariable2_2"))
})

# Unit tests for getColumnWithSampleID
test_that("getColumnWithSampleID returns column name with sampleID", {
  # dummy data
  list_var <- init_variable()
  mock_data <- mock_rnaseq(list_var, n_genes = 3, 2,2, 2)
  dtf_countLong <- countMatrix_2longDtf(mock_data$counts)
  
  # Expected output
  expected_output <- "sampleID"
  
  # Get column name with sampleID
  column_name <- getColumnWithSampleID(dtf_countLong, mock_data$metadata)
  
  # Check if the output matches the expected output
  expect_identical(column_name, expected_output)
})

# Unit tests for prepareData2fit
test_that("prepareData2fit prepares data for fitting", {
  # dummy data
  list_var <- init_variable()
  mock_data <- mock_rnaseq(list_var, n_genes = 3, 2,2, 2)
  
  # Prepare data for fitting
  data2fit <- prepareData2fit(mock_data$counts, mock_data$metadata)
  
  expect_true(is.character(data2fit$sampleID))
  expect_true(is.character(data2fit$geneID))
  expect_true(is.numeric(data2fit$kij))
  expect_equal(unique(data2fit$geneID), c("gene1", "gene2", "gene3"))
  expect_equal(unique(data2fit$sampleID),c("myVariable1_1", "myVariable1_2", 
                                                "myVariable2_1", "myVariable2_2"))
})





# Test case 1: Normalization with positive counts
test_that("Median ratio normalization works for positive counts", {
  counts <- matrix(c(100, 200, 300, 1000, 1500, 2500), ncol = 2)
  normalized_counts <- medianRatioNormalization(counts)
  
  expected_normalized_counts <- matrix(c(288.6751 , 577.3503 , 866.0254 , 346.4102, 519.6152, 866.0254), ncol = 2)
  
  expect_equal(normalized_counts, expected_normalized_counts, tolerance = 1e-4)
})

# Test case 2: Normalization with zero counts
test_that("Median ratio normalization return error for zero counts", {
  counts <- matrix(c(0, 0, 0, 1000, 1500, 2500), ncol = 2)
  expect_error(medianRatioNormalization(counts))
  
})


# Test case 5: All-zero genes
test_that("Throws an error when all-zero genes are encountered", {
  counts <- matrix(c(0, 0, 0, 0, 0, 0), ncol = 2)
  expect_error(medianRatioNormalization(counts))
})


