# WARNING - Generated by {fusen} from /dev/flat_full.Rmd: do not edit by hand



# Test cases for getLabelExpected function
test_that("getLabelExpected assigns labels correctly", {
  

    # Sample comparison data frame
  comparison_data <- data.frame(
      geneID = c("gene1", "gene2", "gene3"),
      actual = c(0.5, -0.3, 0.8)
  )
  
  # Test case 1: Alt hypothesis = "greater"
  labeled_data_greater <- getLabelExpected(comparison_data, coeff_threshold = 0.2, alt_hypothesis = "greater")
  expect_identical(labeled_data_greater$isDE, c(TRUE, FALSE, TRUE))
  
  # Test case 2: Alt hypothesis = "less"
  labeled_data_less <- getLabelExpected(comparison_data, coeff_threshold = -0.2, alt_hypothesis = "less")
  expect_identical(labeled_data_less$isDE, c(FALSE, TRUE, FALSE))
  
  # Test case 3: Alt hypothesis = "greaterAbs"
  labeled_data_greaterAbs <- getLabelExpected(comparison_data, coeff_threshold = 0.6, alt_hypothesis = "greaterAbs")
  expect_identical(labeled_data_greaterAbs$isDE, c(FALSE, FALSE, TRUE))
  
})


test_that("ROC plot is generated correctly", {
  comparison_data <- data.frame(
    geneID = c("gene1", "gene2", "gene3"),
    isDE = c(TRUE, FALSE, TRUE),
    p.adj = c(0.05, 0.2, 0.01), 
    from = "example"
  )
  
  plot <- roc_plot(comparison_data, col = "from")
  
  expect_true("gg" %in% class(plot))
  
  comparison_data <- data.frame(
    geneID = c("gene1", "gene2", "gene3"),
    isDE = c(TRUE, FALSE, TRUE),
    p.adj = c(0.05, 0.2, 0.01)  )
  
  plot <- roc_plot(comparison_data)
  
  expect_true("gg" %in% class(plot))
})


