# WARNING - Generated by {fusen} from /dev/flat_full.Rmd: do not edit by hand


test_that("compute_covariation returns the correct covariation", {
  # Test case 1: Positive correlation
  corr <- 0.7
  sd_A <- 3
  sd_B <- 4
  expected_cov <- corr * sd_A * sd_B
  actual_cov <- compute_covariation(corr, sd_A, sd_B)
  expect_equal(actual_cov, expected_cov)

  # Test case 2: Negative correlation
  corr <- -0.5
  sd_A <- 2.5
  sd_B <- 3.5
  expected_cov <- corr * sd_A * sd_B
  actual_cov <- compute_covariation(corr, sd_A, sd_B)
  expect_equal(actual_cov, expected_cov)

  # Test case 3: Zero correlation
  corr <- 0
  sd_A <- 1
  sd_B <- 2
  expected_cov <- corr * sd_A * sd_B
  actual_cov <- compute_covariation(corr, sd_A, sd_B)
  expect_equal(actual_cov, expected_cov)
})


# Unit tests for getStandardDeviationInCorrelation
test_that("getStandardDeviationInCorrelation returns correct standard deviations", {
  
  # Initialize list_var
  list_var <- init_variable(name = "varA", mu = 0, sd = 5, level = 3) %>%
              init_variable(name = "varB", mu = 0, sd = 25, level = 3)
  
  # Test case 1: Two variables correlation
  between_var_1 <- c("varA", "varB")
  sd_expected_1 <- c(5, 25)
  sd_result_1 <- getStandardDeviationInCorrelation(list_var, between_var_1)
  expect_equal(sd_result_1, sd_expected_1)
  
})



test_that("set_correlation sets the correlation between variables correctly", {
  # Initialize variables in the list_var
  list_var <- init_variable(name = "varA", mu = 0, sd = 5, level = 3) %>%
              init_variable(name = "varB", mu = 0, sd = 25, level = 3)

  # Test setting correlation between varA and varB
  list_var <- set_correlation(list_var, between_var = c("varA", "varB"), corr = 0.7)
  
  corr_result <- list_var$correlations$varA.varB$cor
  covar_result <- list_var$correlations$varA.varB$covar
  expect_equal(corr_result, 0.7)
  expect_equal(covar_result, 87.5)

  # Test setting correlation between varA and varC (should raise an error)
  expect_error(set_correlation(list_var, between_var = c("varA", "varC"), corr = 0.8),
               "At least one variable in between_var is not declared. Variable not initialized cannot be used in a correlation.")

  # Test setting correlation with invalid correlation value
  expect_error(set_correlation(list_var, between_var = c("varA", "varB"), corr = 1.5))

  # Test setting correlation with less than 2 variables with provided standard deviation
  expect_error(set_correlation(list_var, between_var = c("varA"), corr = 0.7))
})


